version = "2.5.0"
container_url = "xgrand/pychopper:${version}"

params.pychopper_out =""
process trimmming_pychopper {
  container = "${container_url}"
  label "big_mem_multi_cpus"
  tag "${barcode}"
  if (params.pychopper_out != "") {
    publishDir "results/${params.pychopper_out}", mode: 'copy'
  }

  input:
    tuple val(barcode), path(fastq)

  output:
    tuple val(barcode), path("${barcode}/${barcode}_merged_pychoped.fastq.gz"), emit: pychoped_fastq

  script:
"""
mkdir ${barcode}
cd ${barcode}/
pychopper -k ${params.kit} -r ${barcode}_pychopper_report.pdf -S ${barcode}_statistics.tsv -t ${task.cpus} ../${fastq} ${barcode}_merged_pychoped.fastq.gz
"""
}